package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * SimplifiedDigitMapProfile
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class SimplifiedDigitMapProfile   {
  @JsonProperty("digitMapProfileId")
  private String digitMapProfileId;

  @JsonProperty("digitMapProfileName")
  private String digitMapProfileName;

  public SimplifiedDigitMapProfile digitMapProfileId(String digitMapProfileId) {
    this.digitMapProfileId = digitMapProfileId;
    return this;
  }

  /**
   * Digit map profile ID.
   * @return digitMapProfileId
  */
  @ApiModelProperty(value = "Digit map profile ID.")


  public String getDigitMapProfileId() {
    return digitMapProfileId;
  }

  public void setDigitMapProfileId(String digitMapProfileId) {
    this.digitMapProfileId = digitMapProfileId;
  }

  public SimplifiedDigitMapProfile digitMapProfileName(String digitMapProfileName) {
    this.digitMapProfileName = digitMapProfileName;
    return this;
  }

  /**
   * Digit map profile name.
   * @return digitMapProfileName
  */
  @ApiModelProperty(value = "Digit map profile name.")


  public String getDigitMapProfileName() {
    return digitMapProfileName;
  }

  public void setDigitMapProfileName(String digitMapProfileName) {
    this.digitMapProfileName = digitMapProfileName;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SimplifiedDigitMapProfile simplifiedDigitMapProfile = (SimplifiedDigitMapProfile) o;
    return Objects.equals(this.digitMapProfileId, simplifiedDigitMapProfile.digitMapProfileId) &&
        Objects.equals(this.digitMapProfileName, simplifiedDigitMapProfile.digitMapProfileName);
  }

  @Override
  public int hashCode() {
    return Objects.hash(digitMapProfileId, digitMapProfileName);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SimplifiedDigitMapProfile {\n");
    
    sb.append("    digitMapProfileId: ").append(toIndentedString(digitMapProfileId)).append("\n");
    sb.append("    digitMapProfileName: ").append(toIndentedString(digitMapProfileName)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

